import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:functions/src/core/data/datasources/functions_remote_datasource.dart';
import 'package:functions/src/core/data/datasources/functions_remote_datasource_impl.dart';
import 'package:sf_infrastructure/sf_infrastructure.dart';

final functionsRemoteDatasourceProvider = Provider<FunctionsRemoteDatasource>((ref) {
  final questiaRepository = getIt<QuestiaRepository>();
  return FunctionsRemoteDatasourceImpl(questiaRepository);
});
